%define upstream_name MooseX-CurriedDelegation
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Curry your delegations with methods
License:    LGPLv2
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Util)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::Moose::More)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Method delegation is awfully handy -- but sometimes it'd be awfully
handier if it was a touch more dynamic. This is an attribute trait that
provides for a curried, delegated method to be provided anyna

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1505367
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.3.0-2.mga7
+ Revision: 1285074
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.3.0-1.mga7
+ Revision: 1125935
- update to 0.003

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-5.mga6
+ Revision: 1030338
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.2.0-4.mga6
+ Revision: 934425
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 748742
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.2.0-1.mga5
+ Revision: 624330
- update to 0.002

* Fri May 02 2014 sander85 <sander85> 0.1.0-1.mga5
+ Revision: 619472
- imported package perl-MooseX-CurriedDelegation

